Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1569155 - From RHGS 3.4 onwards user needs to manually edit ganesha.conf present in /etc/ganesha/ with the new changes present in ganesha.conf.rpmnew file
Summary: From RHGS 3.4 onwards user needs to manually edit ganesha.conf present in /et...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Chandrakanth Pai
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On:
Blocks: 1503142
TreeView+ depends on / blocked
 
Reported: 2018-04-18 17:18 UTC by Manisha Saini
Modified: 2018-09-10 15:44 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-10 15:44:57 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Manisha Saini 2018-04-18 17:18:56 UTC
Document URL: 

https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.3/html/installation_guide/

Section Number and Name: 

---> 7. Updating Red Hat Gluster Storage from 3.3.x to 3.3.y

         ---> 7.3. In-service Software Update from Red Hat Gluster Storage

---> 8.2. In-Service Software Upgrade from Red Hat Gluster Storage 3.2 to Red Hat Gluster Storage 3.3



Describe the issue: 

With the fix for BZ-https://bugzilla.redhat.com/show_bug.cgi?id=1472445 ,
Now post performing inservice upgrade of nfs-ganesha,new ganesha.conf file which comes as part of glusterfs-ganesha package is stored with name "ganesha.conf.rpmnew" and older ganesha.conf file will be intact and will not be overwritten

So post upgrade from 3.4 onwards,user has to manually do any new changes from "ganesha.conf.rpmnew" to existing ganesha.conf file in /etc/ganesha folder.This needs to be documented in inservice upgrade section for nfs-ganesha in installation guide

Suggestions for improvement: 

Additional information:

Comment 3 Manisha Saini 2018-08-30 13:30:27 UTC
Changes looks good to me.Moving this BZ to verified state.


Note You need to log in before you can comment on or make changes to this bug.